<template lang="pug">
  div
    b-navbar(:fixed-top="true")
      template(#brand='')
        b-navbar-item(tag='router-link' :to="{ path: localePath('/') }")
          nuxt-img(src="/Logo.png", alt="Dragon Shooting Logo")
      template(#start='')
        b-navbar-item(tag='router-link' :to="{ path: localePath('/') }")  {{$t('navHome')}}
        b-navbar-item(tag='router-link' :to="{ path: localePath('/products') }")  {{$t('navOffer')}}
        b-navbar-item(tag='router-link' :to="{ path: localePath('/contact') }")  {{$t('navContact')}}
      template(#end='')
        b-navbar-item.button-container(tag='router-link' :to="{ path: switchLocalePath($i18n.localeProperties.code === 'en' ? 'sr' : 'en') }")
          b-button.buy-now( type="is-primary") {{ ($i18n.localeProperties.code === 'en' ? 'sr' : 'en').toUpperCase() }}
        b-navbar-item.button-container(tag='router-link' :to="{ path: localePath('/products') }")
          b-button.buy-now( type="is-primary") {{$t('navBuyNow')}}
</template>

<style lang="scss" scoped>
$primary: #006d77;
$bg-grey: #24252a;
$bg-light-grey: #2c3035;
.navbar {
  background-color: #24252a;
  .navbar-item {
    font-weight: 500;
    font-size: 1.3em;
    text-decoration: none;
    color: $bg-grey;

    .buy-now {
      font-size: 1em;
      margin-right: 50px;
      background-color: $primary;
      border-radius: 50px;
    }
    &:hover,
    &:focus {
      color: $primary !important;
      background-color: #24252a !important;
    }
    &:focus-within {
      background: transparent;
    }
  }
}
@media only screen and (min-width: 1024px) {
  .navbar-brand {
    img {
      max-height: 6rem;
    }
  }
  .navbar-item,
  .navbar-link {
    color: $primary !important;
  }
}
@media only screen and (max-width: 1024px) {
  .navbar-brand {
    img {
      max-height: 1.75rem;
    }
  }
}
</style>

<style lang="scss">
$primary: #006d77;

.navbar-burger.burger {
  color: $primary;
}
</style>
